com.bitmovin.player.api.network
NetworkConfig
data class NetworkConfig(var preprocessHttpRequestCallback: PreprocessHttpRequestCallback? = null, var preprocessHttpResponseCallback: PreprocessHttpResponseCallback? = null, val retryHttpRequestConfig: RetryHttpRequestConfig = RetryHttpRequestConfig.LinearIncreasingBackoffRetry) : Parcelable
The network configuration gives the ability to influence network requests. It enables preprocessing requests and processing responses.
Non-HTTP resources (local file paths and file:, asset:, content:, and data: URLs) do not call preprocessHttpRequestCallback or preprocessHttpResponseCallback, and do not emit PlayerEvent.DownloadFinished or SourceEvent.DownloadFinished.
See SourceNetworkConfig to configure the network stack at the Source level.
Constructors
| NetworkConfig | constructor(preprocessHttpRequestCallback: PreprocessHttpRequestCallback? = null, preprocessHttpResponseCallback: PreprocessHttpResponseCallback? = null, retryHttpRequestConfig: RetryHttpRequestConfig = RetryHttpRequestConfig.LinearIncreasingBackoffRetry) |
Types
| Name | Summary |
|---|---|
| Builder | class Builder |
Properties
| Name | Summary |
|---|---|
| preprocessHttpRequestCallback | var preprocessHttpRequestCallback: PreprocessHttpRequestCallback? The callback which can be used to change request parameters before a request is made. The default value is null. |
| preprocessHttpResponseCallback | var preprocessHttpResponseCallback: PreprocessHttpResponseCallback? The callback which can be used to the access or change properties of the response before it gets into the player. |
| retryHttpRequestConfig | val retryHttpRequestConfig: RetryHttpRequestConfig The callback which can be used to manipulate the retry handling in case of failing HTTP requests. |